Remove support for the old cadir.
--- a/src/clj/puppetlabs/puppetserver/certificate_authority.clj
+++ b/src/clj/puppetlabs/puppetserver/certificate_authority.clj
@@ -695,27 +695,6 @@
                                                         signeddir)
                         public-key-perms))
 
-(defn symlink-cadir
-  "Symlinks the new cadir that ends in 'puppetserver/ca' to the old cadir
-  of 'puppet/ssl/ca' for backwards compatibility. Will delete the old cadir
-  if it exists. Does nothing if set to a custom value."
-  [cadir]
-  (let [[_ base] (re-matches #"(.*)puppetserver/ca" cadir)
-        old-cadir (str base "puppet/ssl/ca")]
-    (when base
-      (when (fs/exists? old-cadir)
-        (fs/delete-dir old-cadir))
-      (fs/sym-link old-cadir cadir)
-      ;; Ensure the symlink has the same ownership as the actual cadir.
-      ;; Symlink permissions are ignored in favor of the target's permissions,
-      ;; so we don't have to change those.
-      (let [old-cadir-path (ks-file/str->path old-cadir)
-            cadir-path (ks-file/str->path cadir)
-            owner (Files/getOwner cadir-path ks-file/nofollow-links)
-            group (Files/getAttribute cadir-path "posix:group" ks-file/nofollow-links)]
-        (Files/setOwner old-cadir-path owner)
-        (Files/setAttribute old-cadir-path "posix:group" group ks-file/nofollow-links)))))
-
 (schema/defn generate-ssl-files!
   "Given the CA settings, generate and write to disk all of the necessary
   SSL files for the CA. Any existing files will be replaced."
@@ -759,8 +738,7 @@
     (write-private-key private-key (:cakey ca-settings))
     (write-cert cacert (:cacert ca-settings))
     (write-crl cacrl (:cacrl ca-settings))
-    (write-crl infra-crl (:infra-crl-path ca-settings))
-    (symlink-cadir (:cadir ca-settings))))
+    (write-crl infra-crl (:infra-crl-path ca-settings))))
 
 (schema/defn split-hostnames :- (schema/maybe [schema/Str])
   "Given a comma-separated list of hostnames, return a list of the
